Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_hy.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_hy.properties	(revision 26546)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_hy.properties	(revision 26581)
@@ -1,20 +1,16 @@
+gsdl=Ô³ÖÕ«Õ¶ÕœÕ©ÕžÕžÖÕ¶ Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ« Õ®ÖÕ¡Õ£ÖÕ¡Õ·Õ¡Ö
 home_b=ÕÕžÖÕ¶
+help_b=ÕÕ£Õ¶ÕžÖÕ©ÕµÕžÖÕ¶
 pref_b=ÕÔ±ÔœÔ±ÕÔ±ÕÕÕÕÔ¹Õ
 ÕÕÕÕÔµÕ
-help_b=ÕÕ£Õ¶ÕžÖÕ©ÕµÕžÖÕ¶
-about_t=Ô·Õ»Õ« ÕŽÕ¡ÕœÕ«Õ¶
-texticonpdf=ÔŽÕ«Õ¿Õ¥Ö PDF ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš
-texticonps=ÔŽÕ«Õ¿Õ¥Ö PostScript ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš
-texticonrtf=ÔŽÕ«Õ¿Õ¥Ö RTF ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš
-texticonmsword=ÔŽÕ«Õ¿Õ¥Ö ÕÕ¡ÕµÖÖÕžÕœÕžÖÕ© ÕÖÕžÖÕ€ ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš:
-texticonppt=ÔŽÕ«Õ¿Õ¥Ö PowerPoint ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš
-texticonxls=ÔŽÕ«Õ¿Õ¥Õ¬ ÕÕ¡ÕµÖÖÕžÕœÕžÖÕ© Ô·ÖÕœÕ¥Õ¬  ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš
-gsdl=Ô³ÖÕ«Õ¶ÕœÕ©ÕžÕžÖÕ¶ Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ« Õ®ÖÕ¡Õ£ÖÕ¡Õ·Õ¡Ö
 home_tip=ÕÕ¶Õ¡ÕµÕ«Õ¶ Õ§Õ»
 help_tip=ÕÕ£Õ¶ÕžÖÕ©ÕµÕ¡Õ¶ Õ§Õ»
 pref_tip=ÕÕ¥Ö Õ¶Õ¡Õ­ÕšÕ¶Õ¿ÖÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥ÖÕ« ÖÕžÖÕžÕ­ÕžÖÕŽ:
-home_t=ÕÕ¶Õ¡ÕµÕ«Õ¶ Õ§Õ»
 aboutpage=Ô±ÕµÕœ Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ« ÕŽÕ¡ÕœÕ«Õ¶
-about.howtofind=Ô»Õ¶Õ¹ÕºÕ¥Õœ Õ£Õ¿Õ¶Õ¥Õ¬ Õ¿Õ¥Õ²Õ¥Õ¯Õ¡Õ¿ÕŸÕžÖÕ©ÕµÕžÖÕ¶ {0} Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ« ÕŽÕ¥Õ»
+query.wordcount=Ô²Õ¡ÕŒÕ« Õ°Õ¡Õ·ÕŸÕ«Õ¹
+query.nodocsmatch=ÕÕ¯Õ¡Õ¶ Õ°Õ¡ÕŽÕ¡ÕºÕ¡Õ¿Õ¡ÕœÕ­Õ¡Õ¶ÕžÕ² ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥Ö
+query.onedocsmatch=1 ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ© Õ§ Õ°Õ¡ÕŽÕ¡ÕºÕ¡Õ¿Õ¡ÕœÕ­Õ¡Õ¶ÕžÖÕŽ Õ°Õ¡ÖÖÕŽÕ¡Õ¶Õš:
+query.results=Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥Ö
+query.matches=ÕÕ¡ÕŽÕ¡ÕºÕ¡Õ¿Õ¡ÕœÕ­Õ¡Õ¶ÕžÖÕŽ Õ§
 pref.searchpref=ÕÕ¶Õ¿ÖÕŽÕ¡Õ¶ Õ¶Õ¡Õ­Õ¡ÕºÕ¡Õ¿ÕŸÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥Ö
 pref.prespref=ÕÕžÖÖÕ¡Õ€ÖÕŽÕ¡Õ¶ Õ¶Õ¡Õ­Õ¡ÕºÕ¡Õ¿ÕŸÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥Ö
@@ -23,10 +19,4 @@
 pref.all=Õ¡ÕŽÕ¢ÕžÕ²Õ»Õš
 pref.set_prefs=Õ¶Õ¡Õ­Õ¡ÕºÕ¡Õ¿ÕŸÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥ÖÕ« Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕžÖÕŽ
-query.wordcount=Ô²Õ¡ÕŒÕ« Õ°Õ¡Õ·ÕŸÕ«Õ¹
-query.nodocsmatch=ÕÕ¯Õ¡Õ¶ Õ°Õ¡ÕŽÕ¡ÕºÕ¡Õ¿Õ¡ÕœÕ­Õ¡Õ¶ÕžÕ² ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥Ö
-query.onedocsmatch=1 ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ© Õ§ Õ°Õ¡ÕŽÕ¡ÕºÕ¡Õ¿Õ¡ÕœÕ­Õ¡Õ¶ÕžÖÕŽ Õ°Õ¡ÖÖÕŽÕ¡Õ¶Õš:
-query.matches=ÕÕ¡ÕŽÕ¡ÕºÕ¡Õ¿Õ¡ÕœÕ­Õ¡Õ¶ÕžÖÕŽ Õ§
-query.results=Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥Ö
-document.gotopage=Õ£Õ¶Õ¡ Õ§Õ»
 doc.expand_doc_b=ÔžÕÔŽÔŒÔ±Õ
 ÕÔµÔŒ<br />ÕÔµÕÕÕÔž
@@ -43,6 +33,2 @@
 doc.detach_page_b=Ô±ÕÔ±ÕÕÕÔ±ÕÕÔµÔŒ
 doc.detach_page_tip=Ô²Õ¡ÖÕ«Ö Õ¡ÕµÕœ Õ§Õ»Õš Õ¶ÕžÖ ÕºÕ¡Õ¿ÕžÖÕ°Õ¡Õ¶ÕžÖÕŽ
-param.sortBy.1=Õ£Õ¶Õ¡Õ°Õ¡Õ¿ÕŸÕ¡Õ®
-param.sortBy.0=Õ¢Õ¶Õ¡Õ¯Õ¡Õ¶
-param.fqf=âŠ Õ€Õ¡Õ·Õ¿ÕžÖÕŽ
-param.fqf.all=Õ¢ÕžÕ¬ÕžÖ Õ€Õ¡Õ·Õ¿Õ¥ÖÕš