Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_mi.properties	(revision 26584)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_mi.properties	(revision 26586)
@@ -1,16 +1,144 @@
+﻿#***** TEXT FRAGMENTS *****
 gsdl=Greenstone Digital Library Software
-home_b=KÄINGA
-help_b=ÄWHINA
-pref_b=KÅWHIRINGA
-home_tip=WhÄrangi kÄinga
-help_tip=WhÄrangi Äwhina
-pref_tip=Te whakarerekÄ Å kÅwhiringa
-aboutpage=He kupu whakamÄrama i te kohikohinga nei
-query.nodocsmatch=kÄore he kitenga e pÄ ana ki Äu kupu rapu.
-query.onedocsmatch=1 te pukapuka e pÄ ana ki Äu kupu rapu.
-pref.searchpref=KÅwhiringa Rapu
-pref.prespref=KÅwhiringa Whakaaturanga
-pref.interfacelang=reo tauwhiti 
-pref.encoding=Whakatakotoranga pÅ«: 
+gs3power=e haere ana nā te greenstone3
+error=Hapa
+hide_error=Huna Hapa
+show_error=Whakaatu Hapa
+ # the buttons	
+home_b=Kāinga
+help_b=Āwhina
+pref_b=Ngā manakohanga
+debuginfo_b=Kōrero Patuiro
+login_b=Takiuru
+# tool tips for the buttons	
+home_tip=Whārangi Kāinga Wharepukapuka
+help_tip=Whārangi Āwhina
+pref_tip=Hurihia ngā manakohanga atanga
+debuginfo_tip=Whakaatu ngā manakohanga tiro patuiro
+login_tip=Takiuru
+aboutpage=Whārangi Whakamārama
+home.quick_search=Rapu Tere
+home.librarian_interface=Te Ātanga Kaiwhakapukapuka
+home.select_a_collection=Tīpakohia tētehi kohinga
+home.nō_collections=Kāore he kohinga whaimana ki tēnei wharepukapuka
+ 
+######################
+# system page
+#######################
+system.title=Tono Pūnaha
+######################
+# about page
+#######################
+about.noservices=Kāore he ratonga mō tēnei kohinga.
+about.services=He ratonga i tua atu e wātea ana:
+about.servicehelp=E taea ana te tono ngā ratonga mā ngā pātene ki raro, mā ngā ingoa rānei ki te pae whakaterenga. Ka kitea te pae whakaterenga ki ngā whārangi katoa i te kohikohinga nei.
+#######################
+# query page
+########################
+query=Rapu
+query.nodocsmatch=Kāore {0-level-plural} e ōrite ana ki tau i rapu ai.
+query.onedocsmatch=Kotahi te {0-level-single} e ōrite ana ki tau i rapu ai.
+query.manydocsmatch=E {0-numdocs} {1-level-plural} e ōrite ana ki tau i rapu ai.
+query.atleastdocsmatch=Neke atu i te {0-numdocs} {1-level-plural} e ōrite ana ki tau e rapu ai. 
+query.docsreturned={0-numdocs} {1-level-plural} i whakaatu mai.
+	
+query.termoccurs.1.1={0-term} e kite ana {1-termfreq} i ngā wā o {2-numdocs} {3-level-single}
+query.termoccurs.x.1={0-term} e kite ana {1-termfreq} i ngā wā o {2-numdocs} {3-level-single}
+query.termoccurs.x.x={0-term} e kite ana {1-termfreq} i ngā wā o {2-numdocs} {3-level-plural}
+query.document=tuhinga
+query.document_plural=ngā tuhinga
+query.section=wāhanga
+query.section_plural=ngā wāhanga
+ 		
+# eg Displaying 1 to 20 of 42 sections/documents
+query.displayingnumdocs=E whakaatu ana {0-startnum} ki te {1-endnum} o {2-totalnum} {3-level-plural}
+	
+query.common=Nā te te tikanga whānui rawa o ēnei kupu kua tango i te rapunga:
+##################
+# prefs page
+################## 	
+pref.searchpref=Manakohanga Rapu
+pref.prespref=Manakohanga Whakaatu
+pref.interfacelang=Reo Ātanga
+pref.encoding=Whakawaehere:
+pref.hitsperpage=Te nama o ngā taunga ki ia whārangi
+pref.maxDocs=Te rahi o ngā tuhinga hei whakaatu:
 pref.all=katoa
-pref.set_prefs=whakamaua kÅwhiringa
+pref.set_prefs=Tautuhi manakohanga
+pref.berrybasket=kete kākano
+pref.berrybasket.on=ka
+pref.berrybasket.off=weto
+pref.book=Ārātau pānui pukapuka: 
+pref.formatedit=Ārātau whakatika hōputu
+pref.formatedit.on=ka
+pref.formatedit.off=weto
+pref.theme=Kaupapa arokite
+	
+##################
+# document page
+##################
+doc.loading=tauta ana
+doc.filter_pages=Whārangi tatari
+	
+doc.edit_content=Whakatika ihirangi
+doc.hide_editor=Huna kaiwhakatika
+doc.edit_structure=Whakatika hangahanga
+	
+doc.highlightTooltip=Whakahohe, monokia rānei i te whakamira o ngā kupu rapu
+doc.realisticBooksTooltip=Whakahohe, monokia rānei i te tirohanga pukapuka tūturu
+doc.zoomTooltip=Whakahohe, monokia rānei i te topa atahanga i te tirohanga āu noa
+doc.slideshowTooltip=Whakahohe, monokia rānei i te tirohanga whakaaturanga kiriata
+doc.floatingTooltip=Tāpia pūmau te rārangi ihirangi ki te taha katau o te mata.
+	
+doc.document=Tuhinga
+doc.back_tō_top=hoki ki te taumata
+	
+doc.maps.nearby_docs=Whakaatu mai i ngā tuhinga tata
+maps.scrolllabel=Panuku haere ki ngā wāhi
+	
+external.title=Hono-a-waho
+external.text=Ko te hononga kua whirihia e koe he mea hono ki waho o au kohinga. Mehemea e hiahia tonutia ana te titiro ki tēnei hononga, ā, e āhei ana tō putirotiro ki te ipurangi, e taea ana te {0-go-forward-link} ki tēnei whārangi; i tua atu meatia te pātene "back" o tō putirotiro hei hoki atu ki te tuhinga o mua.
+external.go_forward=haere whakamua
+	
+##################
+# authentication page
+################## 	
+authen.username=Ingoa kaiwhakamahi
+authen.page_not_found=Kāore te whārangi i kitea
+authen.submit=Tuku
+authen.error_failed_tō_add=Hapa: kāore te kaiwhakahaere i tāpiri mai
+authen.user_added_success=I tāpiri tika mai te kaiwhakahaere
+authen.status=Tūnga
+authen.password=Kupuhipa
+authen.account_status=Tūnga pūkete
+authen.enabled=Kua whakahohe
+authen.disabled=Kua mono
+authen.groups=Rōpū
+authen.add_group=Tāpiri Rōpū
+authen.comment=Tākupu
+authen.email=Wahitau i-mēra
+authen.add_a_new_user_title=Tāpiri kaiwhakamahi hou
+authen.old_password=Kupuhipa tawhito
+authen.new_password=Kupuhipa hou
+authen.retype_password=Tuhi anō te kupuhipa
+authen.edit_user_information=Whakatika Hōtuku Kaiwhakamahi
+authen.list_of_current_users_title=Te rārangi o ngā kaiwhakamahi o nāianei
+authen.delete_warning=Kua tau o whakaaro kia mukua te kaiwhakamahi? 
+authen.edit=Whakatika
+authen.delete=Mukua
+authen.authentication=Whārangi Whakahaere
+authen.add_a_new_user=Tāpiri kaiwhakamahi hou
+authen.change_password=Huri kupuhipa
+authen.register=Rēhita
+authen.account_settings=Ngā Tautuhinga Pūkete
+authen.change_password=Huri Kupuhipa
+authen.reset_password=Tautuhi anō Kupuhipa
+ 	
+###################
+# Document basket #
+###################
+db.doc_basket=Kete tuhinga
+db.access_denied=Kāore i Āhei
+db.nō_collection_building=E kore e taea tēnei āhuatanga o Greenstone i te mea kāore i whakahohe te hanga kohinga.
+	
+	