Index: main/trunk/model-cols/niupepa/resources/niupepa_mi.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26586)
+++ main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26587)
@@ -1,31 +1,41 @@
-
+﻿	
 vol=Pukapuka
 num=Nama
 commentary=Kupu Whakataki
-commentary.linktitle=Tirohia ngÄ kupu whakataki o tÄnei niupepa 
-abstract=RÄpopoto reo PÄkehÄ 
-abstract.linktitle=Tirohia te rÄpopoto reo PÄkehÄ e pÄ ana ki tÄnei wÄhanga 
+commentary.linktitle=Tirohia ngā kupu whakataki o tēnei niupepa 
+abstract=Rāpopoto Reo Pākehā 
+abstract.linktitle=Tirohia te Rāpopoto Reo Pākehā e pā ana ki tēnei wāhanga 
 abexpl=Kupu Whakataki 
-abexpl.linktitle=He whakamÄrama i ngÄ rÄpopoto reo PÄkehÄ 
-textbiblio=KÅrero TÄ
-textbackground=He WhakamÄrama
+abexpl.linktitle=He whakamārama i ngā Rāpopoto Reo Pākehā 
+textbiblio=Kōrero Tā
+textbackground=He Whakamārama
 textsubmat=Kaupapa
-textavail=Nohoanga
+textavail=Wāteatanga
+missingtext=Kāore he kuputuhi nā te kore-whakaāhua kore pai rānei o te whakaāhua
 numissues={0-num} niupepa 
 oneissue=1 niupepa 
-
-simple.query=Tirohia ki {0-subcolllist} mÅ {1-some/all} o ngÄ kupu {2-query box}
-about.changelangtofrommaori=View the collection in English
-about.textxwelcome=Nau mai ki te Kohikohinga Niupepa MÄori
-about.textxwelcome2=Kua whakaemitia mai ki konei he kohikohinga niupepa i tÄngia mÅ ngÄ kaipÄnui MÄori o ngÄ tau 1842-1932. E taea te pÄnui niupepa mÄ te <gsf:link type="query">rapu kupu</gsf:link>, i te <gsf:link type="classifier" nodeID="CL1">rÄrangi taitara</gsf:link>, me te rÄrangi <gsf:link type="classifier" nodeID="CL2">wÄtaka</gsf:link> hoki. He mea i whakatÅ«ria e te kaupapa <a href="http:/www.nzdl.org">New Zealand Digital Library</a>, i te <a href="http://www.cs.waikato.ac.nz/cs/">Tari Rorohiko</a>, o te <a href="http://www.waikato.ac.nz">Whare WÄnanga o Waikato</a>.
-about.textxbackground=Kei raro nei he <a href="#background">kupu whakamÄrama</a> e pÄ ana ki te kohikohinga nei.
-about.textxgrateful=Ka nui te mihi ki ngÄ rÅpÅ« tautoko i te kaupapa nei. NÄ tÄ rÄtou tautoko kua kore he utu, mÄ koutou, mÅ te titiro ki ngÄ niupepa nei. Ko te <a href="http://www.minedu.govt.nz">TÄhuhu o te MÄtauranga</a> tÄrÄ, me Ätehi whare pukapuka e noho mai nei ki ngÄ whare wÄnanga o te motu. Tirohia ngÄ <a href="#support">rÅpÅ« tautoko</a>.
-
-about.textxbackground2=He Kupu WhakamÄrama
-about.textxbackground3=<p>He nui ake i te 17,700 whÄrangi, mai i te 34 niupepa kei te kohikohinga nei. He mea hanga i te &quot;Niupepa 1842-1933&quot;, te kohinga kua whakaemihia e te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a> ki runga i te kiriata mororiki. E 70% kei te reo MÄori, 27% kei ngÄ reo e rua, Ä, kua Ähua 3% kei te reo PÄkehÄ. E toru ngÄ kaupapa matua o ngÄ niupepa nei: he hÄpainga kÄwanatanga; he pÄnui rÄnei nÅ ngÄ iwi MÄori; he kupu whakapono rÄnei nÅ ngÄ hÄhi. </p><p>E whÄ ngÄ wÄhanga nui o te kohikohinga niupepa MÄori:</p><ul><li>ngÄ whakaahua o te whÄrangi niupepa</li><li>ngÄ kupu kua tangohia (mÅ te rapu) i aua whÄrangi</li><li>he kupu whakataki mÅ ia niupepa</li><li>he <gsf:link type="page" page="abexpl">rÄpopototanga reo PÄkehÄ</gsf:link></li></ul><p>MÅ Ätehi atu kÅrero pÄnuitia te pukapuka Rere Atu Taku Manu! Discovering History, Language &amp; Politics in the MÄori Language Newspapers. NÄ Jennifer Curnow, rÄtou ko Ngapare Hopa, ko Jane McRae. Auckland University Press (2002).</p>
-
-about.textxsupporgs=RÅpÅ« Tautoko
-about.textyaymined=Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.minedu.govt.nz">TÄhuhu o te MÄtauranga</a>.
-about.textxsupporgs2=<p>ArÄ anÅ hoki ngÄ tautoko i tukua mai e ngÄ whare pukapuka o ngÄ whare wÄnanga:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare WÄnanga o Waikato</a></li><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare WÄnanga o Otago</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare WÄnanga o Massey</a></li><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare WÄnanga o Victoria</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare WÄnanga o Auckland</a></li><li><a href="http://library.canterbury.ac.nz">Te Whare Pukapuka o te Whare WÄnanga o Canterbury</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Te Whare Pukapuka o te Whare WÄnanga o Lincoln</a></li></ul><p>Kei runga te kohinga &quot;Niupepa 1842-1933&quot; i te kiriata mÅkito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o tÅ rohe, ka taea rÄnei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>. </p><p>NÄ te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti ngÄ whakaahua, mai i te kiriata mÅkito ki te whakatakotoranga TIFF. </p><p>NÄ Gail Dallimore ngÄ kupu whakataki. </p><p>NÄ tÄtehi rÅpu rangahau i te Tari MÄori o te Whare WÄnanga o TÄmaki i whakarite ngÄ <gsf:link type="page" page="abexpl">rÄpopototanga reo PÄkehÄ</gsf:link>.</p>
-
-abstract=RÄpopoto reo PÄkehÄ 
+	
+simple.query=Tirohia {0-subcolllist} mō {1-some/all} o ngā kupu {2-query box}
+about.changelangtofrommaori=Tirohia te kohinga nei ki te reo Māori
+about.textxwelcome=Nau mai ki te Kohikohinga Niupepa Māori
+about.textxwelcome2=Kua whakaemitia mai ki konei he kohikohinga niupepa i tāngia mō ngā kaipānui Māori o ngā tau 1842-1932. E taea ana te pānui niupepa mā te <gsf:link type="query"><b>rapu kupu, </b></gsf:link> <gsf:link type="classifier" nodeID="CL1"><b>mā te rārangi taitara</b></gsf:link> mā te rārangi <gsf:link type="classifier" nodeID="CL2"><b>wātaka</b></gsf:link>. Nā te <a href="http://www.nzdl.org">New Zealand Digital Library Project</a>, i te <a href="http://www.cs.waikato.ac.nz/cs/">Tari Rorohiko </a>, <a href="http://www.waikato.ac.nz">o Te Whare Wānanga o Waikato</a> te kohikohinga nei i whakatū.
+about.textxbackground=<a href="#background">He kupu whakamārama</a> kei raro iho nei e pā ana ki tēnei kohikohinga.
+about.textxgrateful=Ka nui te mihi ki ngā rōpū tautoko i te kaupapa nei. Nā tā rātou tautoko kua kore he utu, mā koutou, mō te titiro ki ngā niupepa nei. Ko te <a href="http://www.minedu.govt.nz">Tāhuhu o te Mātaranga</a> tērā, me ētehi whare pukapuka e noho mai nei ki ngā whare wānanga o te motu. Tirohia ngā <a href="#support">rōpū tautoko </a> kei raro iho nei.
+	
+about.textxbackground2=He Kupu Whakamārama
+about.textxbackground3=<p>He nui ake i te 17,700 whārangi, mai i te 34 niupepa kei te kohikohinga nei. He mea hanga i te "Niupepa 1842-1933", te kohinga kua whakaemihia e te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a> ki runga i te kiriata mororiki. E 70% kei te reo Māori, 27% kei ngā reo e rua, ā, kua āhua 3% kei te reo Pākehā. E toru ngā kaupapa matua o ngā niupepa nei: he hāpainga kāwanatanga; he pānui rānei nō ngā iwi Māori; he kupu whakapono rānei nō ngā hāhi.</p><p>E whā ngā wāhanga nui o te kohikohinga niupepa Māori:</p><ul><li>ngā whakaahua o te whārangi niupepa</li><li>ngā kupu kua tangohia (mō te rapu) i aua whārangi</li><li>he kupu whakataki mō ia niupepa</li><li><gsf:link type="page" page="abexpl">he Rāpopoto Reo Pākehā</gsf:link> mō ia niupepa</li></ul><p>Mō ētehi atu kōrero pānuitia te pukapuka <i>Rere Atu Taku Manu! Discovering History, Language &amp; Politics in the Māori Language Newspapers</i>. Nā Jennifer Curnow, rātou ko Ngapare Hopa, ko Jane McRae. Auckland University Press (2002). </p>
+	
+about.textxsupporgs=<h2>Ngā Rōpū Tautoko</h2>
+about.textyaymined=Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.minedu.govt.nz">Ministry of Education</a>
+about.textxsupporgs2=<p>Arā anō hoki ngā tautoko i tukua mai e ngā whare pukapuka o ngā whare wānanga:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare Wānanga o Waikato</a></li><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare Wānanga o Otako</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare Wānanga o Massey</a></li><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare Wānanga o Wikitōria</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare Wānanga o Tāmaki Makaurau</a></li><li><a href="http://library.canterbury.ac.nz">Te Whare Pukapuka o te Whare Wānanga o Waitaha</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Te Whare Pukapuka o te Whare Wānanga o Aoraki</a></li></ul><p>Kei runga te kohinga "Niupepa 1842-1933" i te kiriata mōkito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o tō rohe, ka taea rānei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Nā te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti ngā whakaahua, mai i te kiriata mōkito ki te whakatakotoranga TIFF.</p><p>Nā Gail Dallimore ngā kupu whakataki.</p><p>Nā tētehi rōpū rangahau i te Tari Māori o te Whare Wānanga o Tāmaki Mākaurau ngā <gsf:link type="page" page="abexpl">Rāpopoto Reo Pākehā</gsf:link> i hanga.</p>
+	
+abexpl.title=Ngā Rāpopoto Reo Pākehā o ngā Niupepa Māori  
+abexpl.content.credit=Nā tētehi rōpū rangahau i te Tari Māori o te Whare Wānanga o Tāmaki Mākaurau ngā Rāpopoto Reo Pākehā i hanga. I te tau 1999 i te tīmata te mahi whakapākehā nei, ā, i whiwhi pūtea mō te 3 tau mai i te Royal Society of New Zealand's Marsden Fund me ngā Trustees of the National Library of New Zealand. Ko ngā kairangahau i taua wā ko Professor Ngapare Hopa, rātou ko Dr Jane McRae, Jenifer Curnow. Ko ngā kairangahau ākonga nā rātou i tuhi ngā Rāpopoto Pākeha ko Tāne Mōkena, rātou ko Dinah Paul, ko Hazel Petrie, ko Yvonne Sutherland, ko Lyn Waymouth. I mahi ngātahi rātou ko te History of Print Culture in New Zealand, te Alexander Turnbull Library, me te Tari Rorohiko i Te Whare Wānanga o Waikato - kei reira a Mark Apperley, ā Ian Witten, ā Te Taka Keegan mā e whakarite ana ngā niupepa me ngā Rāpopoto Reo Pākeha mō te ipurangi. Me tuku mihi hoki kia Hineira Woodard mō te taha whakapākehā, ki a Stephen Innes o te whare pukapuka o te Whare Wānango o Tāmaki Makaurau mō te tiki kōrero ranghau, ki a Roberta Wilson hoki mō te āwhina ki te taha rorohiko. Ki te tae mai he pūtea anō ka nui ake anō ngā Rāpopoto Reo Pākehā ki te pae tukutuku nei. 
+abexpl.intro=Kupu Whakataki &amp; Ētehi Tikanga 
+abexpl.content.intro1=I hangaia ngā Rāpopoto Reo Pākehā nei kia āhei ai te hunga kore-reo ki ngā Niupepa Māori. He mea hanga hei ārahi ngā kaipānui me ngā kairangahau ki ngā kōrero me ngā hōtuku e pā ana ki tētehi kaupapa me te whakamārama atu hoki i te ia o ngā kōrero kei te niupepa whānui. Kua rārangitia ngā kaupapa katoa kei te niupepa heoi kāore e tuhia ngā kōrero katoa. He whakarāpopototanga i ngā kaupapa nui, whērā i te kōrero ētita, i ngā punga kōrero, i ngā reta, ā, he pūrongo, he whakapākehā katoa rānei, i ngā kaupapa iti, whērā i te pānui, i te rongo kōrero poto, i te aha rānei. Nō reira he whakarāpopoto kē ēnei i te niupepa, kia tika tāu mōhio ki ngā kōrero katoa me titiro me whakapākehā kē rānei i te katoa o ngā kōrero i te niupepa ake. Nā reira, kāore e tika kia tango kupukī nō ngā rāpopoto nei, me tango kē i te niupepa ake. 
+abexpl.content.intro2=Ka rite te taki kōrero i ngā rāpopoto ki te taki kōrero i te niupepa, ā, kua tārua ngā taitara me ngā taitara iti mai i te niupepa. Hāunga i ngā whakamārama kei ngā reu pūrua, hei whakamōhio hei pātai rānei, kō tā te rāpopoto he tuhi i ngā kōrero anakē kei ngā niupepa. Ka whakamōhio atu, ka whakamārama atu i ngā wāhi kei reira te whakapākehātanga. Ka whakarārangitia ki raro ngā whakarāpopototanga ā-pū 
+abexpl.content.translations=Kei ngā rāpopoto tonu ētehi kupu Māori ruarua noa me te whakapākehā kei waeanga i ngā reu. Kei te noho tonu ēnei i te mea he kupu nui tonu ki te kairangahau i te reo Māori me te tikanga Māori (ko ngā kupu whērā i te waiata, whakapapa, whakataukī) i te mea rānei kāore he kupu Pākehā e tika ana te hāngai (arā ko ngā kupu whērā ki te mana, mākutu, tohunga, pā). Ka whakamahia te kupu 'Pākehā' i ngā rāpopoto hei tohu ki ngā tāngata ehara i te Māori e noho ana ki Aotearoa nei, i te mea koia te kupu ka whakamahi ki ngā niupepa, ā, koia hoki te kupu ka rangona i Aotearoa i tēnei wā. 
+abexpl.content.names=Kua tuhia ngā ingoa Māori - mō te tangata, mō te rohe, mō te iwi hoki, ki ngā tātaki tuhi o ēnei rā. Kua tuhia ngā oro pūare roa ki ngā ingoa katoa, me kī ki ngā mea e mōhio ana, nā te whakaritenga i te Dictionary of New Zealand Biography, i ngā kupu e mōhio ana, i ngā kupu e rongo nui ana rānei.   Ko tērā ētehi ingoa Pākehā kua whakamāoritia, mō aua ingoa ka tuhia te ingoa tūturu mehemea ka tino mōhio ngā kaiwhakapākehā i te tangata, ki te kore mōhio ka waiho ki te ingoa whakamāori. 
+abexpl.content.disclaimer=Ko te tūmanaako ka whai hua koe i ngā Rāpopoto Reo Pākehā nei, ā, ka reka tāu titiro ki te noho o te Māori, otirā Aotearoa whānui i te rautau 1900 me te tīmata o te rautau 2000. Kua kaha mātou ki te whakarite tika ngā Rāpopoto Reo Pākehā nei, heoi anō i te mutunga he rāpopoto noa. Kāore mātou i āta whai wā ki te whakamāori katoatia ngā kōrero nei. Nā te maha o ngā niupepa, nā the whānui o ngā kaupapa, nā ngā kōrero -ā-wā tērā pea ka kore mātou i kite i ētehi kōrero, kā hē rānei i ētehi o ā mātou whakapae. Mehemea ka kite koe i ētehi hē, i ētehi kupu kāore e kōrerotia tēnā me whakamōhio mai koa (ki a j.mcrae@auckland.ac.nz) kia taea ai e mātou te whakatika. 
+abexpl.abbrev=Kua tuhia ēnei pokapū i roro i ngā rāpopoto:<br/><table border="0"><tr valign="top"><td>CMS</td><td>Church Missionary Society</td></tr><tr valign="top"><td>WMMS</td><td>Wesleyan Methodist Missionary Society</td></tr><tr valign="top"><td>MHR</td><td>Member of the House of Representatives</td></tr><tr valign="top"><td>MP</td><td>Member of Parliament</td></tr><tr valign="top"><td>MLC</td><td>Member of the Legislative Council</td></tr></table> 
+abexpl.updated=I whakahoutia i te Ākuhata, 2002