Index: other-projects/GlamED/trunk/expeditee/framesets/interface-overlays/11.exp
===================================================================
--- other-projects/GlamED/trunk/expeditee/framesets/interface-overlays/11.exp	(revision 26718)
+++ other-projects/GlamED/trunk/expeditee/framesets/interface-overlays/11.exp	(revision 26718)
@@ -0,0 +1,1182 @@
+V 1
+U honours
+D 14Jan2013[18:13]
+M honours
+d 14Jan2013[18:15]
+Z
+
+S P 120
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1534 33
+e 59 100 59
+Q 0
+o honours
+v S
+h 2.0
+l 122 235
+c 2961 2962
+
+S P 121
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 2 33
+e 59 100 59
+Q 0
+o honours
+v S
+h 2.0
+l 122 123
+c 2961 2963
+
+S P 124
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 482 44
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 208 131
+c 2965 2966
+
+S P 125
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 313 44
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 130 131
+c 2966 2968
+
+S P 126
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 306 44
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 210 133
+c 2969 2970
+
+S P 127
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 140 44
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 132 133
+c 2970 2972
+
+S P 128
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 30 44
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 134 135
+c 2973 2974
+
+S P 129
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 134 44
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 134 165
+c 2973 2975
+
+S P 136
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1528 45
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 148 172
+c 2977 2978
+
+S P 137
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1356 45
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 148 149
+c 2977 2979
+
+S P 138
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1217 45
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 150 151
+c 2981 2982
+
+S P 139
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1344 45
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 150 173
+c 2981 2983
+
+S P 140
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1012 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 152 153
+c 2985 2986
+
+S P 141
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1206 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 152 224
+c 2985 2987
+
+S P 142
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1005 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 154 227
+c 2989 2990
+
+S P 143
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 839 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 154 155
+c 2989 2991
+
+S P 144
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 664 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 156 157
+c 2993 2994
+
+S P 145
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 830 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 156 228
+c 2993 2995
+
+S P 146
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 656 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 230 159
+c 2997 2998
+
+S P 147
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 490 45
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 158 159
+c 2998 3000
+
+S T 160
+s 14Jan2013[18:12.47]
+P 51 61
+T << Prev
+X PreviousItem
+Q 0
+o honours
+v S
+f sb15
+w -1300
+
+S T 161
+s 14Jan2013[18:12.47]
+P 1244 62
+T Add Note
+X AddNewNote
+Q 0
+o honours
+v S
+f sb16
+w -538
+
+S T 162
+s 14Jan2013[18:12.47]
+P 1374 62
+T Copy Document
+X CopyFrame
+Q 0
+o honours
+v S
+f sb16
+w -408
+
+S P 163
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 134 68
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 165 166
+c 2975 2976
+
+S P 164
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 30 68
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 166 135
+c 2974 2976
+
+S P 167
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1356 69
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 149 171
+c 2979 2980
+
+S P 168
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1528 69
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 171 172
+c 2978 2980
+
+S P 169
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1344 69
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 173 174
+c 2983 2984
+
+S P 170
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1217 69
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 174 151
+c 2982 2984
+
+S T 175
+s 14Jan2013[18:12.47]
+P 1051 70
+T Export Frameset
+T  to Greenstone
+X ExportToGreenstoneAction
+Q 0
+o honours
+v S
+f sb15
+w -300
+
+S T 176
+s 14Jan2013[18:12.47]
+P 710 70
+T   Update
+T Collection
+X UpdateCollectionAction
+Q 0
+o honours
+v S
+f sb15
+w -2147483647
+
+S T 177
+s 14Jan2013[18:12.47]
+P 179 70
+T << Back to
+T Main Menu
+F Honours1
+Q 0
+o honours
+v S
+f sb15
+w -1172
+
+S T 178
+s 14Jan2013[18:12.47]
+P 512 70
+T          View 
+T Collection Space
+X GoToCollectionSpace
+Q 0
+o honours
+v S
+f sb15
+w -839
+
+S T 179
+s 14Jan2013[18:12.47]
+P 861 70
+T Apply THIS Display
+T     To Collection
+X UpdateAllFrames
+Q 0
+o honours
+v S
+f sb15
+w -490
+
+S T 180
+s 14Jan2013[18:12.47]
+P 323 71
+T         << Back to
+T "Manage Collections"
+F collectionsmain1
+Q 0
+o honours
+v S
+f sb15
+w -1028
+
+S P 181
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 30 77
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 183 184
+c 3001 3002
+
+S P 182
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 134 77
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 183 198
+c 3001 3003
+
+S P 185
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1356 79
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 189 190
+c 3005 3006
+
+S P 186
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1528 79
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 189 212
+c 3005 3007
+
+S P 187
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1217 79
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 191 192
+c 3009 3010
+
+S P 188
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1344 79
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 191 214
+c 3009 3011
+
+S T 193
+s 14Jan2013[18:12.47]
+P 58 95
+T Next >>
+X NextItem
+Q 0
+o honours
+v S
+f sb15
+w -1293
+
+S T 194
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1240 97
+T View Notes
+X ToggleNotesDisplay
+D OptionViewNotes
+Q 0
+o honours
+v S
+f sb16
+w -542
+
+S T 195
+s 14Jan2013[18:12.47]
+P 1374 97
+T Paste Document
+X PasteFrame
+Q 0
+o honours
+v S
+f sb16
+w -408
+
+S P 196
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 134 101
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 198 199
+c 3003 3004
+
+S P 197
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 30 101
+e 100 100 39
+Q 0
+o honours
+v S
+h 2.0
+l 199 184
+c 3002 3004
+
+S P 200
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 482 103
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 208 209
+c 2965 2967
+
+S P 201
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 313 103
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 209 130
+c 2967 2968
+
+S P 202
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 306 103
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 210 211
+c 2969 2971
+
+S P 203
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 140 103
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 211 132
+c 2971 2972
+
+S P 204
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1528 103
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 212 213
+c 3007 3008
+
+S P 205
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1356 103
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 213 190
+c 3006 3008
+
+S P 206
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1344 103
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 214 215
+c 3011 3012
+
+S P 207
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1217 103
+e 100 100 100
+Q 0
+o honours
+v S
+h 2.0
+l 215 192
+c 3010 3012
+
+S P 216
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1206 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 224 225
+c 2987 2988
+
+S P 217
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1012 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 225 153
+c 2986 2988
+
+S P 218
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 839 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 155 226
+c 2991 2992
+
+S P 219
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1005 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 226 227
+c 2990 2992
+
+S P 220
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 830 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 228 229
+c 2995 2996
+
+S P 221
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 664 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 229 157
+c 2994 2996
+
+S P 222
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 656 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 230 231
+c 2997 2999
+
+S P 223
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 490 104
+e 59 59 100
+Q 0
+o honours
+v S
+h 2.0
+l 231 158
+c 2999 3000
+
+S P 232
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 2 114
+e 59 100 59
+Q 0
+o honours
+v S
+h 2.0
+l 123 234
+c 2963 2964
+
+S P 233
+s 14Jan2013[18:12.47]
+d 0 0 0
+P 1534 114
+e 59 100 59
+Q 0
+o honours
+v S
+h 2.0
+l 234 235
+c 2962 2964
+
+Z
+
+L 122 1
+s 120 121
+
+L 235 1
+s 233 120
+
+L 123 1
+s 121 232
+
+L 208 1
+s 200 124
+
+L 131 1
+s 124 125
+
+L 130 1
+s 125 201
+
+L 210 1
+s 202 126
+
+L 133 1
+s 126 127
+
+L 132 1
+s 127 203
+
+L 134 1
+s 129 128
+
+L 135 1
+s 128 164
+
+L 165 1
+s 163 129
+
+L 148 1
+s 136 137
+
+L 172 1
+s 168 136
+
+L 149 1
+s 137 167
+
+L 150 1
+s 139 138
+
+L 151 1
+s 138 170
+
+L 173 1
+s 169 139
+
+L 152 1
+s 141 140
+
+L 153 1
+s 140 217
+
+L 224 1
+s 216 141
+
+L 154 1
+s 142 143
+
+L 227 1
+s 219 142
+
+L 155 1
+s 143 218
+
+L 156 1
+s 145 144
+
+L 157 1
+s 144 221
+
+L 228 1
+s 220 145
+
+L 230 1
+s 222 146
+
+L 159 1
+s 146 147
+
+L 158 1
+s 147 223
+
+L 166 1
+s 164 163
+
+L 171 1
+s 167 168
+
+L 174 1
+s 170 169
+
+L 183 1
+s 182 181
+
+L 184 1
+s 181 197
+
+L 198 1
+s 196 182
+
+L 189 1
+s 186 185
+
+L 190 1
+s 185 205
+
+L 212 1
+s 204 186
+
+L 191 1
+s 188 187
+
+L 192 1
+s 187 207
+
+L 214 1
+s 206 188
+
+L 199 1
+s 197 196
+
+L 209 1
+s 201 200
+
+L 211 1
+s 203 202
+
+L 213 1
+s 205 204
+
+L 215 1
+s 207 206
+
+L 225 1
+s 217 216
+
+L 226 1
+s 218 219
+
+L 229 1
+s 221 220
+
+L 231 1
+s 223 222
+
+L 234 1
+s 232 233
+
+Z
+
+C 2961 3
+s 120 121
+
+C 2962 2
+s 233 120
+
+C 2963 2
+s 121 232
+
+C 2965 2
+s 200 124
+
+C 2966 3
+s 124 125
+
+C 2968 2
+s 125 201
+
+C 2969 2
+s 202 126
+
+C 2970 3
+s 126 127
+
+C 2972 2
+s 127 203
+
+C 2973 3
+s 129 128
+
+C 2974 2
+s 128 164
+
+C 2975 2
+s 163 129
+
+C 2977 3
+s 136 137
+
+C 2978 2
+s 168 136
+
+C 2979 2
+s 137 167
+
+C 2981 3
+s 139 138
+
+C 2982 2
+s 138 170
+
+C 2983 2
+s 169 139
+
+C 2985 3
+s 141 140
+
+C 2986 2
+s 140 217
+
+C 2987 2
+s 216 141
+
+C 2989 3
+s 142 143
+
+C 2990 2
+s 219 142
+
+C 2991 2
+s 143 218
+
+C 2993 3
+s 145 144
+
+C 2994 2
+s 144 221
+
+C 2995 2
+s 220 145
+
+C 2997 2
+s 222 146
+
+C 2998 3
+s 146 147
+
+C 3000 2
+s 147 223
+
+C 2976 3
+s 164 163
+
+C 2980 3
+s 167 168
+
+C 2984 3
+s 170 169
+
+C 3001 3
+s 182 181
+
+C 3002 2
+s 181 197
+
+C 3003 2
+s 196 182
+
+C 3005 3
+s 186 185
+
+C 3006 2
+s 185 205
+
+C 3007 2
+s 204 186
+
+C 3009 3
+s 188 187
+
+C 3010 2
+s 187 207
+
+C 3011 2
+s 206 188
+
+C 3004 3
+s 197 196
+
+C 2967 3
+s 201 200
+
+C 2971 3
+s 203 202
+
+C 3008 3
+s 205 204
+
+C 3012 3
+s 207 206
+
+C 2988 3
+s 217 216
+
+C 2992 3
+s 218 219
+
+C 2996 3
+s 221 220
+
+C 2999 3
+s 223 222
+
+C 2964 3
+s 232 233
+
+Z
+
+ActiveTime:00:00:55
+DarkTime:00:01:16
+13:07:443 34 126 Mu
+13:09:142 31 107 Mu
+13:10:571 13 52 Mu
+13:12:560 956 272 kShift
+13:12:640 956 272 kV
+13:13:129 969 272 kI
+13:13:240 974 272 kE
+13:13:288 982 272 kW
+13:13:373 995 272 kSpace
+13:13:404 999 272 kShift
+13:13:505 999 272 kN
+13:13:700 1012 272 kO
+13:13:753 1021 272 kT
+13:13:790 1026 272 kE
+13:13:858 1034 272 kS
+13:15:039 1032 346 kShift
+13:15:137 1032 346 kT
+13:15:560 1043 346 kO
+13:15:655 1052 346 kG
+13:15:797 1061 346 kG
+13:15:850 1070 346 kL
+13:15:913 1075 346 kE
+13:16:009 1083 346 kShift
+13:16:136 1083 346 kV
+13:16:721 1096 346 kI
+13:16:795 1101 346 kE
+13:16:843 1109 346 kW
+13:16:968 1122 346 kShift
+13:17:016 1122 346 kN
+13:17:196 1135 346 kO
+13:17:270 1144 346 kT
+13:17:296 1149 346 kE
+13:17:376 1157 346 kS
+13:19:633 1034 342 kA
+13:19:889 1040 346 kShift
+13:20:190 1040 346 kSemicolon
+13:21:563 1093 352 Mu
+13:22:363 1015 407 Mu
+13:24:375 534 374 kShift
+13:24:433 534 374 kT
+13:25:092 545 374 kO
+13:25:187 554 374 kG
+13:25:337 563 374 kG
+13:25:427 572 374 kL
+13:25:491 577 374 kE
+13:25:580 585 374 kShift
+13:25:660 585 374 kN
+13:25:822 598 374 kO
+13:25:875 607 374 kT
+13:25:959 612 374 kE
+13:26:018 620 374 kS
+13:26:149 627 374 kShift
+13:26:239 627 374 kD
+13:26:509 640 374 kI
+13:26:646 645 374 kS
+13:26:720 652 374 kP
+13:26:880 661 374 kL
+13:26:980 666 374 kA
+13:27:086 674 374 kY
+13:27:768 683 374 kHome
+13:27:912 534 374 kA
+13:28:085 542 374 kShift
+13:28:153 542 374 kSemicolon
+13:32:594 605 364 Mu
+13:33:434 1022 268 Mu
+13:35:315 1288 90 kF3
+13:36:403 1018 257 Mu
+13:37:627 1133 182 Mu
+13:38:725 1080 192 kBackspace
+13:38:992 1071 197 kBackspace
+13:39:655 1071 197 kShift
+13:39:761 1071 197 kV
+13:41:158 695 360 kA
+13:41:561 703 360 kShift
+13:41:677 703 360 kSemicolon
+13:44:738 1001 263 Mu
+13:48:106 709 357 Mu
+13:51:203 780 356 Mu
+13:52:128 1264 95 Mu
+13:53:969 1281 88 Ru
+13:57:380 982 181 kA
+13:57:721 990 181 kM
+13:57:795 1004 181 kShift
+13:57:922 1004 181 kSemicolon
+13:58:262 1009 181 kT
+13:58:326 1014 181 kR
+13:58:405 1020 181 kU
+13:58:511 1029 181 kE
+13:59:738 1016 173 Mu
+14:00:904 1281 88 Mu
+15:17:089 664 248 Lu